ostream File Reference

Go to the source code of this file.

## Classes

class | std::basic_ostream< _CharT, _Traits >
class | std::basic_ostream< _CharT, _Traits >::sentry

## Namespaces

| std

## Macros

#define | _GLIBCXX_OSTREAM

## Typedefs

template<typename _Tp >
using | std::__do_is_convertible_to_basic_ostream_impl = decltype(__is_convertible_to_basic_ostream_test(declval< typename remove_reference< _Tp >::type * >()))
template<typename _Ostream >
using | std::__rvalue_ostream_type = typename __is_convertible_to_basic_ostream< _Ostream >::__ostream_type

## Functions

template<typename _Ch , typename _Up >
basic_ostream< _Ch, _Up > & | std::__is_convertible_to_basic_ostream_test (basic_ostream< _Ch, _Up > *)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::endl (basic_ostream< _CharT, _Traits > &__os)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::ends (basic_ostream< _CharT, _Traits > &__os)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::flush (basic_ostream< _CharT, _Traits > &__os)
template<typename _Ostream , typename _Tp >
enable_if< __and_< __not_< is_lvalue_reference< _Ostream > >, __is_convertible_to_basic_ostream< _Ostream >, __is_insertable< __rvalue_ostream_type< _Ostream >, const _Tp & > >::value, __rvalue_ostream_type< _Ostream > >::type | std::operator<< (_Ostream &&__os, const _Tp &__x)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, _CharT __c)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, char __c)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, char __c)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, signed char __c)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, unsigned char __c)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, const _CharT *__s)
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__out, const char *__s)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const char *__s)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const signed char *__s)
template<class _Traits >
basic_ostream< char, _Traits > & | std::operator<< (basic_ostream< char, _Traits > &__out, const unsigned char *__s)

## Detailed Description

This is a Standard C++ Library header.

Definition in file ostream.